Summary: GNU Find Utilities (find, xargs, and locate)
Name: findutils
Version: 4.1
Release: 21
Copyright: GPL
Group: Utilities/File
Source0: ftp://prep.ai.mit.edu/pub/gnu/findutils-4.1.tar.gz
Source1: updatedb.cron
Patch0: findutils-4.1-fsstnd.patch
Patch1: findutils-4.1-basename.patch
Patch2: findutils-4.1-glibc.patch
Patch3: findutils-4.1-mktemp.patch
Prereq: /sbin/install-info
Requires: mktemp
BuildRoot: /var/tmp/find-root

%description
This package contains programs to help you locate files on your
system.  The find program can search through a hierarchy of
directories looking for files matching a certain set of criteria
(such as a filename pattern).  The locate program searches a
database (create by updatedb) to quickly find a file matching
a given pattern.

%changelog

* Mon Mar 09 1998 Michael K. Johnson <johnsonm@redhat.com>

- make updatedb.cron use mktemp correctly
- make updatedb use mktemp

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>

- nobody should own tmpfile
- ignore /net

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>

- made updatedb.cron do a better job of cleaning up after itself.

* Tue Oct 28 1997 Donald Barnes <djb@redhat.com>

- fixed 64 bit-ism in getline.c, patch tacked on to end of glibc one

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>

- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>

- added BuildRoot support

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>

- made updatedb.cron work even if "nobody" can't read /root
- use mktemp in updatedb.cron

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>

- added missing info pages
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built with glibc

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>

- fixed updatedb.cron

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -rf $RPM_BUILD_ROOT
./configure --prefix=/usr --exec-prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/findutils
rm -f $RPM_BUILD_ROOT/usr/info/find.info*
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr install
gzip -9fn $RPM_BUILD_ROOT/usr/info/find.info*
chmod 755 $RPM_BUILD_ROOT/usr/lib/findutils
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m755 $RPM_SOURCE_DIR/updatedb.cron $RPM_BUILD_ROOT/etc/cron.daily

cd $RPM_BUILD_ROOT
strip usr/bin/find usr/bin/xargs usr/bin/locate

%post
/sbin/install-info /usr/info/find.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/find.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc NEWS README
%config /etc/cron.daily/updatedb.cron
/usr/bin/find
/usr/bin/xargs
/usr/bin/locate
/usr/bin/updatedb
/usr/man/man1/locate.1
/usr/man/man1/find.1
/usr/man/man1/xargs.1
/usr/man/man1/updatedb.1
/usr/man/man5/locatedb.5
/usr/lib/findutils
/usr/info/find.info*
